Skip to content

Perform various operations on site records.

Operations

getSite

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSite
POST /nexum/627/2022.01/account/getSite HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteSelectFields
POST /nexum/627/2022.01/account/getSiteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteFields": true,
    "SiteFields": {
      "City": true,
      "CloseDate": true,
      "ContactPhone": true,
      "ExtraAddress": true,
      "FaxPhone": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SiteContactName": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "SiteSettleShareId": true,
      "State": true,
      "Street": true,
      "ZipCode": true
    },
    "SiteCashOrderTypeSelectableFields": {
      "IncludeAllSiteCashOrderTypeFields": true,
      "SiteCashOrderTypeFields": {
        "ActiveFlag": true,
        "ApplyHandlingFee": true,
        "CashOrderTypeCoinBag": [
          0
        ],
        "CashOrderTypeCoinRoll": [
          0
        ],
        "CashOrderTypeComment": [
          0
        ],
        "CashOrderTypeCurrFit": [
          0
        ],
        "CashOrderTypeCurrNew": [
          0
        ],
        "CashOrderTypeDelCharge": true,
        "CashOrderTypeMaxOrder": true,
        "CashOrderTypeMinOrder": true,
        "CashOrderTypeName": true,
        "CashOrderTypeSpecDelCharge": true,
        "CloseDate": true,
        "DelFrequency": true,
        "DeliveryDays": [
          0
        ],
        "LocationCode": true,
        "Locator": true,
        "OrderLimiting": true,
        "RecordChangeDate": true,
        "SpecHandlingFee": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteSelectFieldsFilterChildren

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteSelectFieldsFilterChildren
POST /nexum/627/2022.01/account/getSiteSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteFields": true,
    "SiteFields": {
      "City": true,
      "CloseDate": true,
      "ContactPhone": true,
      "ExtraAddress": true,
      "FaxPhone": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SiteContactName": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "SiteSettleShareId": true,
      "State": true,
      "Street": true,
      "ZipCode": true
    },
    "SiteCashOrderTypeSelectableFields": {
      "IncludeAllSiteCashOrderTypeFields": true,
      "SiteCashOrderTypeFields": {
        "ActiveFlag": true,
        "ApplyHandlingFee": true,
        "CashOrderTypeCoinBag": [
          0
        ],
        "CashOrderTypeCoinRoll": [
          0
        ],
        "CashOrderTypeComment": [
          0
        ],
        "CashOrderTypeCurrFit": [
          0
        ],
        "CashOrderTypeCurrNew": [
          0
        ],
        "CashOrderTypeDelCharge": true,
        "CashOrderTypeMaxOrder": true,
        "CashOrderTypeMinOrder": true,
        "CashOrderTypeName": true,
        "CashOrderTypeSpecDelCharge": true,
        "CloseDate": true,
        "DelFrequency": true,
        "DeliveryDays": [
          0
        ],
        "LocationCode": true,
        "Locator": true,
        "OrderLimiting": true,
        "RecordChangeDate": true,
        "SpecHandlingFee": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "SiteCashOrderTypeFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSitePagedList

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getSitePagedList
POST /nexum/627/2022.01/account/getSitePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteListSelectFields
POST /nexum/627/2022.01/account/getSiteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SelectableFields": {
    "IncludeAllSiteFields": true,
    "SiteFields": {
      "City": true,
      "CloseDate": true,
      "ContactPhone": true,
      "ExtraAddress": true,
      "FaxPhone": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SiteContactName": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "SiteSettleShareId": true,
      "State": true,
      "Street": true,
      "ZipCode": true
    },
    "SiteCashOrderTypeSelectableFields": {
      "IncludeAllSiteCashOrderTypeFields": true,
      "SiteCashOrderTypeFields": {
        "ActiveFlag": true,
        "ApplyHandlingFee": true,
        "CashOrderTypeCoinBag": [
          0
        ],
        "CashOrderTypeCoinRoll": [
          0
        ],
        "CashOrderTypeComment": [
          0
        ],
        "CashOrderTypeCurrFit": [
          0
        ],
        "CashOrderTypeCurrNew": [
          0
        ],
        "CashOrderTypeDelCharge": true,
        "CashOrderTypeMaxOrder": true,
        "CashOrderTypeMinOrder": true,
        "CashOrderTypeName": true,
        "CashOrderTypeSpecDelCharge": true,
        "CloseDate": true,
        "DelFrequency": true,
        "DeliveryDays": [
          0
        ],
        "LocationCode": true,
        "Locator": true,
        "OrderLimiting": true,
        "RecordChangeDate": true,
        "SpecHandlingFee": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSiteSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchSiteSelectFields
POST /nexum/627/2022.01/account/searchSiteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SelectableFields": {
    "IncludeAllSiteFields": true,
    "SiteFields": {
      "City": true,
      "CloseDate": true,
      "ContactPhone": true,
      "ExtraAddress": true,
      "FaxPhone": true,
      "Locator": true,
      "RecordChangeDate": true,
      "SiteContactName": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "SiteSettleShareId": true,
      "State": true,
      "Street": true,
      "ZipCode": true
    },
    "SiteCashOrderTypeSelectableFields": {
      "IncludeAllSiteCashOrderTypeFields": true,
      "SiteCashOrderTypeFields": {
        "ActiveFlag": true,
        "ApplyHandlingFee": true,
        "CashOrderTypeCoinBag": [
          0
        ],
        "CashOrderTypeCoinRoll": [
          0
        ],
        "CashOrderTypeComment": [
          0
        ],
        "CashOrderTypeCurrFit": [
          0
        ],
        "CashOrderTypeCurrNew": [
          0
        ],
        "CashOrderTypeDelCharge": true,
        "CashOrderTypeMaxOrder": true,
        "CashOrderTypeMinOrder": true,
        "CashOrderTypeName": true,
        "CashOrderTypeSpecDelCharge": true,
        "CloseDate": true,
        "DelFrequency": true,
        "DeliveryDays": [
          0
        ],
        "LocationCode": true,
        "Locator": true,
        "OrderLimiting": true,
        "RecordChangeDate": true,
        "SpecHandlingFee": true
      }
    }
  },
  "SearchFilter": {
    "Query": "string",
    "SiteChildrenFilter": {
      "SiteCashOrderTypeFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSitePagedListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getSitePagedListSelectFields
POST /nexum/627/2022.01/account/getSitePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllSiteFields": false,
    "SiteFields": {
      "Locator": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "City": true,
      "State": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchSitePagedSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchSitePagedSelectFields
POST /nexum/627/2022.01/account/searchSitePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllSiteFields": false,
    "SiteFields": {
      "Locator": true,
      "SiteId": true,
      "SiteName": true,
      "SiteNumber": true,
      "City": true,
      "State": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getSiteCashOrderType

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
SiteCashOrderTypeLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteCashOrderType
POST /nexum/627/2022.01/account/getSiteCashOrderType HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SiteCashOrderTypeLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteCashOrderTypeSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
SiteCashOrderTypeLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteCashOrderTypeSelectFields
POST /nexum/627/2022.01/account/getSiteCashOrderTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SiteCashOrderTypeLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteCashOrderTypeFields": true,
    "SiteCashOrderTypeFields": {
      "ActiveFlag": true,
      "ApplyHandlingFee": true,
      "CashOrderTypeCoinBag": [
        0
      ],
      "CashOrderTypeCoinRoll": [
        0
      ],
      "CashOrderTypeComment": [
        0
      ],
      "CashOrderTypeCurrFit": [
        0
      ],
      "CashOrderTypeCurrNew": [
        0
      ],
      "CashOrderTypeDelCharge": true,
      "CashOrderTypeMaxOrder": true,
      "CashOrderTypeMinOrder": true,
      "CashOrderTypeName": true,
      "CashOrderTypeSpecDelCharge": true,
      "CloseDate": true,
      "DelFrequency": true,
      "DeliveryDays": [
        0
      ],
      "LocationCode": true,
      "Locator": true,
      "OrderLimiting": true,
      "RecordChangeDate": true,
      "SpecHandlingFee": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteCashOrderTypePagedList

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getSiteCashOrderTypePagedList
POST /nexum/627/2022.01/account/getSiteCashOrderTypePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteCashOrderTypeListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getSiteCashOrderTypeListSelectFields
POST /nexum/627/2022.01/account/getSiteCashOrderTypeListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteCashOrderTypeFields": true,
    "SiteCashOrderTypeFields": {
      "ActiveFlag": true,
      "ApplyHandlingFee": true,
      "CashOrderTypeCoinBag": [
        0
      ],
      "CashOrderTypeCoinRoll": [
        0
      ],
      "CashOrderTypeComment": [
        0
      ],
      "CashOrderTypeCurrFit": [
        0
      ],
      "CashOrderTypeCurrNew": [
        0
      ],
      "CashOrderTypeDelCharge": true,
      "CashOrderTypeMaxOrder": true,
      "CashOrderTypeMinOrder": true,
      "CashOrderTypeName": true,
      "CashOrderTypeSpecDelCharge": true,
      "CloseDate": true,
      "DelFrequency": true,
      "DeliveryDays": [
        0
      ],
      "LocationCode": true,
      "Locator": true,
      "OrderLimiting": true,
      "RecordChangeDate": true,
      "SpecHandlingFee": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSiteCashOrderTypeSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchSiteCashOrderTypeSelectFields
POST /nexum/627/2022.01/account/searchSiteCashOrderTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "SelectableFields": {
    "IncludeAllSiteCashOrderTypeFields": true,
    "SiteCashOrderTypeFields": {
      "ActiveFlag": true,
      "ApplyHandlingFee": true,
      "CashOrderTypeCoinBag": [
        0
      ],
      "CashOrderTypeCoinRoll": [
        0
      ],
      "CashOrderTypeComment": [
        0
      ],
      "CashOrderTypeCurrFit": [
        0
      ],
      "CashOrderTypeCurrNew": [
        0
      ],
      "CashOrderTypeDelCharge": true,
      "CashOrderTypeMaxOrder": true,
      "CashOrderTypeMinOrder": true,
      "CashOrderTypeName": true,
      "CashOrderTypeSpecDelCharge": true,
      "CloseDate": true,
      "DelFrequency": true,
      "DeliveryDays": [
        0
      ],
      "LocationCode": true,
      "Locator": true,
      "OrderLimiting": true,
      "RecordChangeDate": true,
      "SpecHandlingFee": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getSiteCashOrderTypePagedListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getSiteCashOrderTypePagedListSelectFields
POST /nexum/627/2022.01/account/getSiteCashOrderTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSiteCashOrderTypeFields": true,
    "SiteCashOrderTypeFields": {
      "ActiveFlag": true,
      "ApplyHandlingFee": true,
      "CashOrderTypeCoinBag": [
        0
      ],
      "CashOrderTypeCoinRoll": [
        0
      ],
      "CashOrderTypeComment": [
        0
      ],
      "CashOrderTypeCurrFit": [
        0
      ],
      "CashOrderTypeCurrNew": [
        0
      ],
      "CashOrderTypeDelCharge": true,
      "CashOrderTypeMaxOrder": true,
      "CashOrderTypeMinOrder": true,
      "CashOrderTypeName": true,
      "CashOrderTypeSpecDelCharge": true,
      "CloseDate": true,
      "DelFrequency": true,
      "DeliveryDays": [
        0
      ],
      "LocationCode": true,
      "Locator": true,
      "OrderLimiting": true,
      "RecordChangeDate": true,
      "SpecHandlingFee": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchSiteCashOrderTypePagedSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchSiteCashOrderTypePagedSelectFields
POST /nexum/627/2022.01/account/searchSiteCashOrderTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "string",
  "SiteLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllSiteCashOrderTypeFields": true,
    "SiteCashOrderTypeFields": {
      "ActiveFlag": true,
      "ApplyHandlingFee": true,
      "CashOrderTypeCoinBag": [
        0
      ],
      "CashOrderTypeCoinRoll": [
        0
      ],
      "CashOrderTypeComment": [
        0
      ],
      "CashOrderTypeCurrFit": [
        0
      ],
      "CashOrderTypeCurrNew": [
        0
      ],
      "CashOrderTypeDelCharge": true,
      "CashOrderTypeMaxOrder": true,
      "CashOrderTypeMinOrder": true,
      "CashOrderTypeName": true,
      "CashOrderTypeSpecDelCharge": true,
      "CloseDate": true,
      "DelFrequency": true,
      "DeliveryDays": [
        0
      ],
      "LocationCode": true,
      "Locator": true,
      "OrderLimiting": true,
      "RecordChangeDate": true,
      "SpecHandlingFee": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateSiteByID

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SiteLocatorintegeroptional
AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updateSiteByID
POST /nexum/627/2022.01/account/updateSiteByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SiteLocator": 0,
  "SiteUpdatableFields": {
    "SiteName": "string",
    "Street": "string",
    "City": "string",
    "State": "string",
    "ZipCode": "0"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateSiteCashOrderTypeByID

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

SiteCashOrderTypeLocatorintegeroptional
AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updateSiteCashOrderTypeByID
POST /nexum/627/2022.01/account/updateSiteCashOrderTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SiteCashOrderTypeLocator": 0,
  "SiteCashOrderTypeUpdatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "AccountNumber": "0000000000",
  "SiteLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createSite

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/createSite
POST /nexum/627/2022.01/account/createSite HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SiteCreatableFields": {
    "SiteId": "string",
    "SiteName": "string",
    "SiteNumber": 0,
    "Street": "string",
    "City": "string",
    "State": "string",
    "ZipCode": "0"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createSiteCashOrderType

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
SiteLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
SiteCashOrderTypeLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createSiteCashOrderType
POST /nexum/627/2022.01/account/createSiteCashOrderType HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SiteCashOrderTypeCreatableFields": {
    "Type": 0,
    "Description": "string"
  },
  "AccountNumber": "0000000000",
  "SiteLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}